general {
	border_size = 0
	gaps_in = 3
	gaps_out = 5
	
	resize_on_border = true
	layout = dwindle
	
	# rgba(7aa2f742)
	col.active_border = rgba(23,147,209,0.5)
	# rgba(292e4222)
	col.inactive_border = rgba(00000000)

	snap {
		enabled = true
		monitor_gap = 20
		respect_gaps = true
	}
}

decoration {
	rounding = 12
	border_part_of_window = false
	blur {
		enabled = false
		size = 8
		passes = 2
		popups = true
		special = true
		brightness = 0.75
		contrast = 1.6
		xray = false
#		new_optimizations = false
	}

	shadow {
		enabled = false
		range = 48
		render_power = 3
		# rgba(595959aa)
		color = rgba(1a1a1aee)
	}
}

dwindle {
	pseudotile = true
	preserve_split = true
}

misc {
	disable_hyprland_logo = true
	background_color = 0

	enable_swallow = true
	swallow_regex = ^(kitty)$
	swallow_exception_regex = .*(wev|nwg-look)
	focus_on_activate = true
}

cursor {
	inactive_timeout = 30
	warp_on_change_workspace = 1
	hide_on_key_press = true
}

render {
	cm_sdr_eotf = 2
	new_render_scheduling = true
}

ecosystem:no_donation_nag = true
xwayland:force_zero_scaling = true
